org.gradle.plugins.signing.type

## Interface SignatureTypeProvider

- All Known Implementing Classes:
    AbstractSignatureTypeProvider, DefaultSignatureTypeProvider

      public interface SignatureTypeProvider

  Provider of `SignatureType`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignatureType` | `getDefaultType()`
    `SignatureType` | `getTypeForExtension(String extension)`
    `boolean` | `hasTypeForExtension(String extension)`
    `void` | `setDefaultType(String extension)`

- - ### Method Detail

    - #### getDefaultType

          SignatureType getDefaultType()

    - #### setDefaultType

          void setDefaultType(String extension)

    - #### getTypeForExtension

          SignatureType getTypeForExtension(String extension)

    - #### hasTypeForExtension

          boolean hasTypeForExtension(String extension)